petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscNew

Allocates memory of a particular type, zeros the memory! Aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscNew(type **result)

Not Collective Many br

### Output Parameter

result -memory allocated, sized to match pointer type Many br

Many br

### See Also

PetscFree(), PetscMalloc(), PetscNewLog()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex58.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html